View Issue Details

Category
SSPBT:本体(SSP)
SeveritymajorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000316: \q[タイトル,OnID,r0,r1,...]のReference0にOnIDが格納されている
Description

里々:phase Mc163-3
SSP:2.5.34

テスト用辞書

*OnKeyPress (R0)==t
\q[テスト1-1(Onあり・Rxを代入),OnTest,aaa,bbb]
\q[テスト1-2(Onあり・Rxを表示),OnTest2,aaa,bbb]
\q[テスト2-1(Onなし・R0を代入),Test]
\q[テスト2-2(Onなし・R0を表示),Test2]

*OnTest
$OnTest0 (R0)
$OnTest1 (R1)
$OnTest2 (R2)
$OnTest3 (R3)

*OnTest2
:R0・(R0)
R1・(R1)
R2・(R2)
R3・(R3)

*Test
$Test (R0)

*Test2
:(R0)

「t」キーを押下し、各選択肢をクリックした結果

・テスト1-1(=OnTest)
 →「$OnTest0」にのみ「OnTest」が代入された ×

・テスト1-2(=OnTest2)
 →下記が表示された(R2/R3にも余計な情報は入っていない) ○
   R0・aaa
   R1・bbb
   R2・
   R3・

・テスト2-1(=Test)
 →「$Test」に「Test」が代入された ×?

・テスト2-2(=Test2)
 →下記が表示された ×?
   Test2

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-10-11 11:23

administrator   ~0000786

reproduced : disable OnChoiceSelect fallback.

ponapalt

2021-10-12 12:52

administrator   ~0000795

2.5.35

Issue History

Date Modified Username Field Change
2021-10-10 23:54 guest New Issue
2021-10-11 11:23 ponapalt Assigned To => ponapalt
2021-10-11 11:23 ponapalt Status new => confirmed
2021-10-11 11:23 ponapalt Note Added: 0000786
2021-10-11 11:23 ponapalt Category 整備班:里々 => SSPBT:本体(SSP)
2021-10-11 11:23 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-12 12:52 ponapalt Status confirmed => closed
2021-10-12 12:52 ponapalt Resolution open => fixed
2021-10-12 12:52 ponapalt Note Added: 0000795